/* GSequencer - Advanced GTK Sequencer
 * Copyright (C) 2005-2015 Joël Krähemann
 *
 * This file is part of GSequencer.
 *
 * GSequencer is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * GSequencer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GSequencer.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __AGS_FILE_STOCK_H__
#define __AGS_FILE_STOCK_H__

#include <glib.h>
#include <glib-object.h>

#define AGS_FILE_DEFAULT_VERSION "0.4.2"
#define AGS_FILE_EFFECTS_DEFAULT_VERSION "0.4.2"
#define AGS_CLIPBOARD_DEFAULT_VERSION "0.4.2"

#define AGS_FILE_FALSE "FALSE"
#define AGS_FILE_TRUE "TRUE"

#define AGS_FILE_BOOLEAN_PROP "gboolean"
#define AGS_FILE_CHAR_PROP "gchar"
#define AGS_FILE_INT64_PROP "gint64"
#define AGS_FILE_UINT64_PROP "guint64"
#define AGS_FILE_FLOAT_PROP "gfloat"
#define AGS_FILE_DOUBLE_PROP "gdouble"

#define AGS_FILE_POINTER_PROP "gpointer"
#define AGS_FILE_OBJECT_PROP "GObject"

#define AGS_FILE_BOOLEAN_POINTER_PROP "gboolean-pointer"
#define AGS_FILE_CHAR_POINTER_PROP "gchar-pointer"
#define AGS_FILE_INT64_POINTER_PROP "gint64-pointer"
#define AGS_FILE_UINT64_POINTER_PROP "guint64-pointer"
#define AGS_FILE_FLOAT_POINTER_PROP "gfloat-pointer"
#define AGS_FILE_DOUBLE_POINTER_PROP "gdouble-pointer"

#define AGS_FILE_ID_PROP "id"
#define AGS_FILE_NAME_PROP "name"
#define AGS_FILE_TYPE_PROP "type"
#define AGS_FILE_SCOPE_PROP "scope"
#define AGS_FILE_VERSION_PROP "version"
#define AGS_FILE_BUILD_ID_PROP "build-id"
#define AGS_FILE_XPATH_PROP "xpath"
#define AGS_FILE_FLAGS_PROP "flags"
#define AGS_FILE_CONTEXT_PROP "context"

#endif /*__AGS_FILE_STOCK_H__*/
