/* GSequencer - Advanced GTK Sequencer
 * Copyright (C) 2005-2017 Joël Krähemann
 *
 * Th file is part of GSequencer.
 *
 * GSequencer is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * GSequencer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GSequencer.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __AGS_PIANO_KEYS_H__
#define __AGS_PIANO_KEYS_H__

#define AGS_PIANO_KEYS_OCTAVE_0_C "C,,"
#define AGS_PIANO_KEYS_OCTAVE_0_CIS "C#,,"
#define AGS_PIANO_KEYS_OCTAVE_0_D "D,,"
#define AGS_PIANO_KEYS_OCTAVE_0_DIS "D#,,"
#define AGS_PIANO_KEYS_OCTAVE_0_E "E,,"
#define AGS_PIANO_KEYS_OCTAVE_0_F "F,,"
#define AGS_PIANO_KEYS_OCTAVE_0_FIS "F#,,"
#define AGS_PIANO_KEYS_OCTAVE_0_G "G,,"
#define AGS_PIANO_KEYS_OCTAVE_0_GIS "G#,,"
#define AGS_PIANO_KEYS_OCTAVE_0_A "A,,"
#define AGS_PIANO_KEYS_OCTAVE_0_AIS "A#,,"
#define AGS_PIANO_KEYS_OCTAVE_0_H "H,,"

#define AGS_PIANO_KEYS_OCTAVE_1_C "C,"
#define AGS_PIANO_KEYS_OCTAVE_1_CIS "C#,"
#define AGS_PIANO_KEYS_OCTAVE_1_D "D,"
#define AGS_PIANO_KEYS_OCTAVE_1_DIS "D#,"
#define AGS_PIANO_KEYS_OCTAVE_1_E "E,"
#define AGS_PIANO_KEYS_OCTAVE_1_F "F,"
#define AGS_PIANO_KEYS_OCTAVE_1_FIS "F#,"
#define AGS_PIANO_KEYS_OCTAVE_1_G "G,"
#define AGS_PIANO_KEYS_OCTAVE_1_GIS "G#,"
#define AGS_PIANO_KEYS_OCTAVE_1_A "A,"
#define AGS_PIANO_KEYS_OCTAVE_1_AIS "A#,"
#define AGS_PIANO_KEYS_OCTAVE_1_H "H,"

#define AGS_PIANO_KEYS_OCTAVE_2_C "C"
#define AGS_PIANO_KEYS_OCTAVE_2_CIS "C#"
#define AGS_PIANO_KEYS_OCTAVE_2_D "D"
#define AGS_PIANO_KEYS_OCTAVE_2_DIS "D#"
#define AGS_PIANO_KEYS_OCTAVE_2_E "E"
#define AGS_PIANO_KEYS_OCTAVE_2_F "F"
#define AGS_PIANO_KEYS_OCTAVE_2_FIS "F#"
#define AGS_PIANO_KEYS_OCTAVE_2_G "G"
#define AGS_PIANO_KEYS_OCTAVE_2_GIS "G#"
#define AGS_PIANO_KEYS_OCTAVE_2_A "A"
#define AGS_PIANO_KEYS_OCTAVE_2_AIS "A#"
#define AGS_PIANO_KEYS_OCTAVE_2_H "H"

#define AGS_PIANO_KEYS_OCTAVE_3_C "c"
#define AGS_PIANO_KEYS_OCTAVE_3_CIS "c#"
#define AGS_PIANO_KEYS_OCTAVE_3_D "d"
#define AGS_PIANO_KEYS_OCTAVE_3_DIS "d#"
#define AGS_PIANO_KEYS_OCTAVE_3_E "e"
#define AGS_PIANO_KEYS_OCTAVE_3_F "f"
#define AGS_PIANO_KEYS_OCTAVE_3_FIS "f#"
#define AGS_PIANO_KEYS_OCTAVE_3_G "g"
#define AGS_PIANO_KEYS_OCTAVE_3_GIS "g#"
#define AGS_PIANO_KEYS_OCTAVE_3_A "a"
#define AGS_PIANO_KEYS_OCTAVE_3_AIS "a#"
#define AGS_PIANO_KEYS_OCTAVE_3_H "h"

#define AGS_PIANO_KEYS_OCTAVE_4_C "c'"
#define AGS_PIANO_KEYS_OCTAVE_4_CIS "c#'"
#define AGS_PIANO_KEYS_OCTAVE_4_D "d'"
#define AGS_PIANO_KEYS_OCTAVE_4_DIS "d#'"
#define AGS_PIANO_KEYS_OCTAVE_4_E "e'"
#define AGS_PIANO_KEYS_OCTAVE_4_F "f'"
#define AGS_PIANO_KEYS_OCTAVE_4_FIS "f#'"
#define AGS_PIANO_KEYS_OCTAVE_4_G "g'"
#define AGS_PIANO_KEYS_OCTAVE_4_GIS "g#'"
#define AGS_PIANO_KEYS_OCTAVE_4_A "a'"
#define AGS_PIANO_KEYS_OCTAVE_4_AIS "a#'"
#define AGS_PIANO_KEYS_OCTAVE_4_H "h'"

#define AGS_PIANO_KEYS_OCTAVE_5_C "c''"
#define AGS_PIANO_KEYS_OCTAVE_5_CIS "c#''"
#define AGS_PIANO_KEYS_OCTAVE_5_D "d''"
#define AGS_PIANO_KEYS_OCTAVE_5_DIS "d#''"
#define AGS_PIANO_KEYS_OCTAVE_5_E "e''"
#define AGS_PIANO_KEYS_OCTAVE_5_F "f''"
#define AGS_PIANO_KEYS_OCTAVE_5_FIS "f#''"
#define AGS_PIANO_KEYS_OCTAVE_5_G "g''"
#define AGS_PIANO_KEYS_OCTAVE_5_GIS "g#''"
#define AGS_PIANO_KEYS_OCTAVE_5_A "a''"
#define AGS_PIANO_KEYS_OCTAVE_5_AIS "a#''"
#define AGS_PIANO_KEYS_OCTAVE_5_H "h''"

#define AGS_PIANO_KEYS_OCTAVE_6_C "c'''"
#define AGS_PIANO_KEYS_OCTAVE_6_CIS "c#'''"
#define AGS_PIANO_KEYS_OCTAVE_6_D "d'''"
#define AGS_PIANO_KEYS_OCTAVE_6_DIS "d#'''"
#define AGS_PIANO_KEYS_OCTAVE_6_E "e'''"
#define AGS_PIANO_KEYS_OCTAVE_6_F "f'''"
#define AGS_PIANO_KEYS_OCTAVE_6_FIS "f#'''"
#define AGS_PIANO_KEYS_OCTAVE_6_G "g'''"
#define AGS_PIANO_KEYS_OCTAVE_6_GIS "g#'''"
#define AGS_PIANO_KEYS_OCTAVE_6_A "a'''"
#define AGS_PIANO_KEYS_OCTAVE_6_AIS "a#'''"
#define AGS_PIANO_KEYS_OCTAVE_6_H "h'''"

#define AGS_PIANO_KEYS_OCTAVE_7_C "c''''"
#define AGS_PIANO_KEYS_OCTAVE_7_CIS "c#''''"
#define AGS_PIANO_KEYS_OCTAVE_7_D "d''''"
#define AGS_PIANO_KEYS_OCTAVE_7_DIS "d#''''"
#define AGS_PIANO_KEYS_OCTAVE_7_E "e''''"
#define AGS_PIANO_KEYS_OCTAVE_7_F "f''''"
#define AGS_PIANO_KEYS_OCTAVE_7_FIS "f#''''"
#define AGS_PIANO_KEYS_OCTAVE_7_G "g''''"
#define AGS_PIANO_KEYS_OCTAVE_7_GIS "g#''''"
#define AGS_PIANO_KEYS_OCTAVE_7_A "a''''"
#define AGS_PIANO_KEYS_OCTAVE_7_AIS "a#''''"
#define AGS_PIANO_KEYS_OCTAVE_7_H "h''''"

#define AGS_PIANO_KEYS_OCTAVE_8_C "c'''''"
#define AGS_PIANO_KEYS_OCTAVE_8_CIS "c#'''''"
#define AGS_PIANO_KEYS_OCTAVE_8_D "d'''''"
#define AGS_PIANO_KEYS_OCTAVE_8_DIS "d#'''''"
#define AGS_PIANO_KEYS_OCTAVE_8_E "e'''''"
#define AGS_PIANO_KEYS_OCTAVE_8_F "f'''''"
#define AGS_PIANO_KEYS_OCTAVE_8_FIS "f#'''''"
#define AGS_PIANO_KEYS_OCTAVE_8_G "g'''''"
#define AGS_PIANO_KEYS_OCTAVE_8_GIS "g#'''''"
#define AGS_PIANO_KEYS_OCTAVE_8_A "a'''''"
#define AGS_PIANO_KEYS_OCTAVE_8_AIS "a#'''''"
#define AGS_PIANO_KEYS_OCTAVE_8_H "h'''''"

#define AGS_PIANO_KEYS_OCTAVE_9_C "c''''''"
#define AGS_PIANO_KEYS_OCTAVE_9_CIS "c#''''''"
#define AGS_PIANO_KEYS_OCTAVE_9_D "d''''''"
#define AGS_PIANO_KEYS_OCTAVE_9_DIS "d#''''''"
#define AGS_PIANO_KEYS_OCTAVE_9_E "e''''''"
#define AGS_PIANO_KEYS_OCTAVE_9_F "f''''''"
#define AGS_PIANO_KEYS_OCTAVE_9_FIS "f#''''''"
#define AGS_PIANO_KEYS_OCTAVE_9_G "g''''''"
#define AGS_PIANO_KEYS_OCTAVE_9_GIS "g#''''''"
#define AGS_PIANO_KEYS_OCTAVE_9_A "a''''''"
#define AGS_PIANO_KEYS_OCTAVE_9_AIS "a#''''''"
#define AGS_PIANO_KEYS_OCTAVE_9_H "h''''''"

#define AGS_PIANO_KEYS_OCTAVE_10_C "c'''''''"
#define AGS_PIANO_KEYS_OCTAVE_10_CIS "c#'''''''"
#define AGS_PIANO_KEYS_OCTAVE_10_D "d'''''''"
#define AGS_PIANO_KEYS_OCTAVE_10_DIS "d#'''''''"
#define AGS_PIANO_KEYS_OCTAVE_10_E "e'''''''"
#define AGS_PIANO_KEYS_OCTAVE_10_F "f'''''''"
#define AGS_PIANO_KEYS_OCTAVE_10_FIS "f#'''''''"
#define AGS_PIANO_KEYS_OCTAVE_10_G "g'''''''"
#define AGS_PIANO_KEYS_OCTAVE_10_GIS "g#'''''''"
#define AGS_PIANO_KEYS_OCTAVE_10_A "a'''''''"
#define AGS_PIANO_KEYS_OCTAVE_10_AIS "a#'''''''"
#define AGS_PIANO_KEYS_OCTAVE_10_H "h'''''''"

#endif /*__AGS_PIANO_KEYS_H__*/
